Bug 384911 - Missing man pages for blkid_ functions
Missing man pages for blkid_ functions
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 11:16 EST by Zdenek Kabelac
Modified: 2010-04-01 17:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-01 15:55:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2007-11-15 11:16:35 EST
Description of problem:

from the end of the man page of libblkid:

SEE ALSO
       blkid_get_cache(3),        blkid_put_cache(3),        blkid_get_dev(3),
       blkid_probe_all(3),    blkid_get_devname(3),    blkid_get_tag_value(3),
       blkid.tab(7)

I'd like to to also seem them.

Version-Release number of selected component (if applicable):
e2fsprogs-devel-1.40.2-10.fc8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Eric Sandeen 2007-11-15 11:47:50 EST
Hm, unfortunately they simply don't exist; it's not just a matter of missing in
the packaging.  If you'd like to submit man pages, I'll happily include them. 
:)  Otherwise I'm afraid this may be a fairly low priority.
Comment 2 Zdenek Kabelac 2007-11-15 15:15:53 EST
Sure I know they do not exists, but someone - maybe "maintainer of the package"
could eventually write them - and of course the priority is low - but would be
nice to provide them - for now I have to look into source files...
Comment 3 Eric Sandeen 2007-11-15 15:27:28 EST
Yes, if I can find time, I would be willing to write them.  Thanks for pointing
out that they're missing...

Thanks,
-Eric
Comment 4 Bug Zapper 2008-05-13 23:54:33 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 05:21:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Eric Sandeen 2010-04-01 15:55:15 EDT
This is work that needs to be done upstream; I may get it done some day but if I haven't had the time yet it's unlikely.

blkid now lives primarily in util-linux-ng, so perhaps new maintainership will offer new hope there.
Comment 7 Karel Zak 2010-04-01 17:16:23 EDT
Note that util-linux-ng version is partly documented at:
ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/libblkid-docs/index.html

Note You need to log in before you can comment on or make changes to this bug.